ExpiresFilter.ExpiresConfiguration (Apache Tomcat 11.0.23 API Documentation)
Description: declaration: package: org.apache.catalina.filters, class: ExpiresFilter, record: ExpiresConfiguration

# Record Class ExpiresFilter.ExpiresConfiguration

java.lang.Object
java.lang.Record
org.apache.catalina.filters.ExpiresFilter.ExpiresConfiguration

Record Components:
  `startingPoint` - Starting point of the elapse to set in the response.
  `durations` - List of duration elements.

Enclosing class:
  `ExpiresFilter`

public static record ExpiresFilter.ExpiresConfiguration(ExpiresFilter.StartingPoint startingPoint, List<ExpiresFilter.Duration> durations) extends Record

Main piece of configuration of the filter.

Can be expressed like '`access plus 1 month 15 days 2 hours`'.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExpiresConfiguration(ExpiresFilter.StartingPoint startingPoint, List<ExpiresFilter.Duration> durations)`
  Creates an instance of a `ExpiresConfiguration` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ExpiresFilter.Duration>`
  `durations()`
  Returns the value of the `durations` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `List<ExpiresFilter.Duration>`
  `getDurations()`
  Returns the list of durations for this configuration.
  `ExpiresFilter.StartingPoint`
  `getStartingPoint()`
  Returns the starting point for this configuration.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `ExpiresFilter.StartingPoint`
  `startingPoint()`
  Returns the value of the `startingPoint` record component.
  `String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ExpiresConfiguration

    public ExpiresConfiguration(ExpiresFilter.StartingPoint startingPoint, List<ExpiresFilter.Duration> durations)
    Creates an instance of a `ExpiresConfiguration` record class.
    Parameters:
      `startingPoint` - the value for the `startingPoint` record component
      `durations` - the value for the `durations` record component

- ## Method Details

  - ### getDurations

    public List<ExpiresFilter.Duration> getDurations()
    Returns the list of durations for this configuration.
    Returns:
      the list of durations

  - ### getStartingPoint

    public ExpiresFilter.StartingPoint getStartingPoint()
    Returns the starting point for this configuration.
    Returns:
      the starting point

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### startingPoint

    public ExpiresFilter.StartingPoint startingPoint()
    Returns the value of the `startingPoint` record component.
    Returns:
      the value of the `startingPoint` record component

  - ### durations

    public List<ExpiresFilter.Duration> durations()
    Returns the value of the `durations` record component.
    Returns:
      the value of the `durations` record component